Bug 270779 - KStars prints unnecessarily to .xsession-errors
Summary: KStars prints unnecessarily to .xsession-errors
Status: RESOLVED FIXED
Alias: None
Product: kstars
Classification: Unclassified
Component: general (show other bugs)
Version: 0.4
Platform: Debian unstable Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Akarsh Simha
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-12 18:27 UTC by Torquil Macdonald Sørensen
Modified: 2011-05-07 21:33 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Torquil Macdonald Sørensen 2011-04-12 18:27:23 UTC
Version:           0.4 (using KDE 4.6.1) 
OS:                Linux

When I exit from kstars, my ~/.xsession-errors is "spammed" with FPS-info from kstars. This info makes it more difficult and/or time consuming to study legitimate error messages from other programs in the same file.

Excerpt:

.
.
.
FPS: 43.86
FPS: 37.99
FPS: 43.86
FPS: 43.86
FPS: 43.86
FPS: 42.37
FPS: 43.10
FPS: 43.86
FPS: 43.86
FPS: 43.10
FPS: 42.37
FPS: 43.86
FPS: 43.86
.
.
.

Btw, a similar thing happened also while running the KDE program "step" , that does physics simulations.

I have noticed that it is a recurring problem that applications print too much (non-errors) unnecessarily to .xsession-errors, obscuring real error messages.


Reproducible: Always




OS: Linux (x86_64) release 2.6.38.2
Compiler: gcc

KDE 4.6.1 from the Debian KDE maintainers repository at
http://pkg-kde.alioth.debian.org/
Comment 1 Alexey Khudiakov 2011-04-14 18:08:09 UTC
Git commit c354af67cc4e031b0151f23e49247522458c1605 by Khudyakov Alexey.
Committed on 14/04/2011 at 18:03.
Pushed by khudyakov into branch 'master'.

Factor out code for FPS calculation into SkyMapDrawAbstract class
and comment out actual printing to stderr.

It's somewhat pointless to calculate FPS and then throw it away
but it could be useful for debugging.

BUG: 270779

M  +10   -2    kstars/skymapdrawabstract.cpp     
M  +3    -1    kstars/skymapdrawabstract.h     
M  +1    -10   kstars/skymapgldraw.cpp     
M  +1    -8    kstars/skymapqdraw.cpp     

http://commits.kde.org/kstars/c354af67cc4e031b0151f23e49247522458c1605
Comment 2 Alexey Khudiakov 2011-05-07 21:33:48 UTC
Git commit 2c6268850813a1de913feef7ae070e0e319cd230 by Khudyakov Alexey.
Committed on 14/04/2011 at 18:03.
Pushed by khudyakov into branch '4.6'.

Factor out code for FPS calculation into SkyMapDrawAbstract class
and comment out actual printing to stderr.

It's somewhat pointless to calculate FPS and then throw it away
but it could be useful for debugging.

BUG: 270779

M  +10   -2    kstars/skymapdrawabstract.cpp     
M  +3    -1    kstars/skymapdrawabstract.h     
M  +1    -10   kstars/skymapgldraw.cpp     
M  +1    -8    kstars/skymapqdraw.cpp     

http://commits.kde.org/kstars/2c6268850813a1de913feef7ae070e0e319cd230